require 'helper'

class TestConfiguration < Test::Unit::TestCase
  should "configure failure url" do
    configuration = Resque::Plugins::NotiFailure::Failure.configuration
    configuration.expects(:failure_url=).with('http://test.host/resque/failure')
    configuration.expects(:failure_name=).with('resque test')

    Resque::Plugins::NotiFailure::Failure.configure do |config|
      config.failure_url = 'http://test.host/resque/failure'
      config.failure_name = 'resque test'
    end
  end
end